libnvme(2)

NAME
enum nvme_cmd_format_ses - Format NVM - Secure Erase Settings

SYNOPSIS
enum nvme_cmd_format_ses {
NVME_FORMAT_SES_NONE ,
NVME_FORMAT_SES_USER_DATA_ERASE ,
NVME_FORMAT_SES_CRYPTO_ERASE

};

Constants

NVME_FORMAT_SES_NONE
    No secure erase operation requested.

NVME_FORMAT_SES_USER_DATA_ERASE
    User Data Erase: All user data shall be erased, contents of the user data after the erase is indeterminate (e.g. the user data may be zero filled, one filled, etc.). If a User Data Erase is requested and all affected user data is encrypted, then the controller is allowed to use a cryptographic erase to perform the requested User Data Erase.

NVME_FORMAT_SES_CRYPTO_ERASE
    Cryptographic Erase: All user data shall be erased cryptographically. This is accomplished by deleting the encryption key.